Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrn.exception.manageperson
Class ConsultrnRegisterPersonException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.business.common.exception.EhealthServiceV2Exception
                  be.ehealth.businessconnector.consultrn.exception.manageperson.ConsultrnRegisterPersonException

All Implemented Interfaces:
  Serializable

    public class ConsultrnRegisterPersonException

extends EhealthServiceV2Exception

Connector Exception thrown when the registerPerson operation response indicates an error status code and no existing persons have been found.

If needed the response object is made accessible through the `getRegisterPersonResponse` method. If present the business anomalies object is made accessible through the `getBusinessAnomalies` method.

See Also:
  Serialized Form

Constructor Summary
`ConsultrnRegisterPersonException(RegisterPersonResponse response)`

Method Summary
`BusinessAnomalies` | `getBusinessAnomalies()`
`RegisterPersonResponse` | `getRegisterPersonResponse()`

Methods inherited from class be.ehealth.business.common.exception.EhealthServiceV2Exception
`getResponse`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsultrnRegisterPersonException

    public ConsultrnRegisterPersonException(RegisterPersonResponse response)

Method Detail

### getRegisterPersonResponse

    public RegisterPersonResponse getRegisterPersonResponse()

### getBusinessAnomalies

    public BusinessAnomalies getBusinessAnomalies()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.